/*
--------------------------------------------------------------------------------
Duke Nukem 3D Version 1.4
By Todd Replogle
(c) 1996 3D Realms Entertainment
--------------------------------------------------------------------------------
*/

#define SECTOREFFECTOR 1
#define ACTIVATOR 2
#define TOUCHPLATE 3
#define ACTIVATORLOCKED 4
#define MUSICANDSFX 5
#define LOCATORS 6
#define CYCLER 7
#define MASTERSWITCH 8
#define RESPAWN 9
#define GPSPEED 10
#define ARROW 20
#define FIRSTGUNSPRITE 21
#define CHAINGUNSPRITE 22
#define RPGSPRITE 23
#define PLASMASPRITE 24
#define BFGSPRITE 25
#define HEAVYHBOMB 26
#define TRIPBOMBSPRITE 27
#define SHOTGUNSPRITE 28
#define FLAMETHROWERSPRITE 29
#define HEALTHBOX 30
#define AMMOBOX 31
#define SMGSPRITE 32
#define INVENTORYBOX 33
#define PLASMAAMMO 37
#define AMMO 40
#define BATTERYAMMO 41
#define FLAMEAMMO 42
#define RPGAMMO 44
#define SMGAMMO 45
#define BFGAMMO 46
#define HBOMBAMMO 47
#define AMMOLOTS 48
#define SHOTGUNAMMO 49
#define COLA 51
#define SIXPAK 52
#define FIRSTAID 53
#define SHIELD 54
#define POWERPOD 55
#define KRYSTAL 4174
#define JETPACK 57
#define HEATSENSOR 59
#define ACCESSCARD 60
#define BOOTS 61
#define MIRRORBROKE 70
#define CLOUDYOCEAN 78
#define CLOUDYSKIES 79
#define MOONSKY1 80
#define MOONSKY2 81
#define MOONSKY3 82
#define MOONSKY4 83
#define BIGORBIT1 84
#define BIGORBIT2 85
#define BIGORBIT3 86
#define BIGORBIT4 87
#define BIGORBIT5 88
#define LA 89
#define REDSKY1 98
#define REDSKY2 99
#define ATOMICHEALTH 100
#define POWPODPLACED 105
#define TECHLIGHT2 120
#define TECHLIGHTBUST2 121
#define TECHLIGHT4 122
#define TECHLIGHTBUST4 123
#define WALLLIGHT4 124
#define WALLLIGHTBUST4 125
#define ACCESSSWITCH 130
#define SLOTDOOR 132
#define LIGHTSWITCH 134
#define SPACEDOORSWITCH 136
#define SPACELIGHTSWITCH 138
#define FRANKENSTINESWITCH 140
#define NUKEBUTTON 142
#define MULTISWITCH 146
#define DOORTILE5 150
#define DOORTILE6 151
#define DOORTILE1 152
#define DOORTILE2 153
#define DOORTILE3 154
#define DOORTILE4 155
#define DOORTILE7 156
#define DOORTILE8 157
#define DOORTILE9 158
#define DOORTILE10 159
#define DOORSHOCK 160
#define DIPSWITCH 162
#define DIPSWITCH2 164
#define TECHSWITCH 166
#define DIPSWITCH3 168
#define ACCESSSWITCH2 170
#define REFLECTWATERTILE 180
#define FLOORSLIME 200
#define BIGFORCE 230
#define MASKWALL9 255
#define W_LIGHT 260
#define SCREENBREAK1 263
#define SCREENBREAK2 264
#define SCREENBREAK3 265
#define SCREENBREAK4 266
#define SCREENBREAK5 267
#define SCREENBREAK6 268
#define SCREENBREAK7 269
#define SCREENBREAK8 270
#define SCREENBREAK9 271
#define SCREENBREAK10 272
#define SCREENBREAK11 273
#define SCREENBREAK12 274
#define SCREENBREAK13 275
#define MASKWALL1 285
#define W_TECHWALL1 293
#define W_TECHWALL2 297
#define W_TECHWALL15 299
#define W_TECHWALL3 301
#define W_TECHWALL4 305
#define W_TECHWALL10 306
#define W_TECHWALL16 307
#define WATERTILE2 336
#define BPANNEL1 341
#define PANNEL1 342
#define PANNEL2 343
#define WATERTILE 344
#define STATIC 351
#define W_SCREENBREAK 357
#define W_HITTECHWALL3 360
#define W_HITTECHWALL4 361
#define W_HITTECHWALL2 362
#define W_HITTECHWALL1 363
#define MASKWALL10 387
#define MASKWALL11 391
#define DOORTILE22 395
#define FANSPRITE 407
#define FANSPRITEBROKE 411
#define FANSHADOW 412
#define FANSHADOWBROKE 416
#define DOORTILE18 447
#define DOORTILE19 448
#define DOORTILE20 449
// #define SPACESHUTTLE 487
#define SATELLITE 489
#define VIEWSCREEN2 499
#define VIEWSCREENBROKE 501
#define VIEWSCREEN 502
#define GLASS 503
#define GLASS2 504
#define STAINGLASS1 510
#define MASKWALL5 514
#define SATELITE 516
#define FUELPOD 517
#define SLIMEPIPE 538
#define CRACK1 546
#define CRACK2 547
#define CRACK3 548
#define CRACK4 549
#define FOOTPRINTS 550
#define DOMELITE 551
#define CAMERAPOLE 554
#define CHAIR1 556
#define CHAIR2 557
#define BROKENCHAIR 559
#define MIRROR 560
#define WATERFOUNTAIN 563
#define WATERFOUNTAINBROKE 567
#define FEMMAG1 568
#define TOILET 569
#define STALL 571
#define STALLBROKE 573
#define FEMMAG2 577
#define REACTOR2 578
#define REACTOR2BURNT 579
#define REACTOR2SPARK 580
#define GRATE1 595
#define BGRATE1 596
#define SOLARPANNEL 602
#define NAKED1 603
#define ANTENNA 607
#define MASKWALL12 609
#define TOILETBROKE 615
#define PIPE2 616
#define PIPE1B 617
#define PIPE3 618
#define PIPE1 619
#define CAMERA1 621
#define BRICK 626
#define SPLINTERWOOD 630
#define PIPE2B 633
#define BOLT1 634
#define W_NUMBERS 640
#define WATERDRIP 660
#define WATERBUBBLE 661
#define WATERBUBBLEMAKER 662
#define W_FORCEFIELD 663
#define VACUUM 669
#define FOOTPRINTS2 672
#define FOOTPRINTS3 673
#define FOOTPRINTS4 674
#define EGG 675
#define SCALE 678
#define CHAIR3 680
#define CAMERALIGHT 685
#define MOVIECAMERA 686
#define IVUNIT 689
#define POT1 694
#define POT2 695
#define POT3 697
#define PIPE3B 700
#define WALLLIGHT3 701
#define WALLLIGHTBUST3 702
#define WALLLIGHT1 703
#define WALLLIGHTBUST1 704
#define WALLLIGHT2 705
#define WALLLIGHTBUST2 706
#define LIGHTSWITCH2 712
#define WAITTOBESEATED 716
#define DOORTILE14 717
#define STATUE 753
#define MIKE 762
#define VASE 765
#define DOORTILE16 781
#define OJ 806
#define MASKWALL13 830
#define HURTRAIL 859
#define POWERSWITCH1 860
#define LOCKSWITCH1 862
#define POWERSWITCH2 864
#define ATM 867
#define STATUEFLASH 869
#define ATMBROKE 888
#define BIGHOLE2 893
#define STRIPEBALL 901
#define QUEBALL 902
#define POCKET 903
#define WOODENHORSE 904
#define TREE1 908
#define TREE2 910
#define CACTUS 911
#define MASKWALL2 913
#define MASKWALL3 914
#define MASKWALL4 915
#define FIREEXT 916
#define TOILETWATER 921
#define NEON1 925
#define NEON2 926
#define CACTUSBROKE 939
#define BOUNCEMINE 940
#define BROKEFIREHYDRENT 950
#define BOX 951
#define BULLETHOLE 952
#define FEMPIC5 963
#define FEMPIC6 964
#define FEMPIC7 965
#define HYDROPLANT 969
#define OCEANSPRITE1 971
#define OCEANSPRITE2 972
#define OCEANSPRITE3 973
#define OCEANSPRITE4 974
#define OCEANSPRITE5 975
#define GENERICPOLE 977
#define CONE 978
#define HANGLIGHT 979
#define HYDRENT 981
#define MASKWALL14 988
#define TIRE 990
#define PIPE5 994
#define PIPE6 995
#define PIPE4 996
#define PIPE4B 997
#define BROKEHYDROPLANT 1003
#define PIPE5B 1005
#define NEON3 1007
#define NEON4 1008
#define NEON5 1009
#define SPOTLITE 1020
#define HANGOOZ 1022
#define MASKWALL15 1024
#define HORSEONSIDE 1026
#define GLASSPIECES 1031
#define HORSELITE 1034
#define DONUTS 1045
#define NEON6 1046
#define MASKWALL6 1059
#define CLOCK 1060
#define BROKENCLOCK 1067
#define PLUG 1069
#define OOZFILTER 1079
#define FLOORPLASMA 1082
#define REACTOR 1088
#define REACTORSPARK 1092
#define REACTORBURNT 1096
#define DOORTILE15 1102
#define HANDSWITCH 1111
#define CIRCLEPANNEL 1113
#define CIRCLEPANNELBROKE 1114
#define PULLSWITCH 1122
#define MASKWALL8 1124
#define BIGHOLE 1141
#define ALIENSWITCH 1142
#define DOORTILE21 1144
#define HANDPRINTSWITCH 1155
#define DOORTILE17 1169
#define MASKWALL7 1174
#define JAILBARBREAK 1175
#define DOORTILE11 1178
#define DOORTILE12 1179
#define VENDMACHINE 1212
#define VENDMACHINEBROKE 1214
#define COLAMACHINE 1215
#define COLAMACHINEBROKE 1217
#define CRANEPOLE 1221
#define CRANE 1222
#define BARBROKE 1225
#define BLOODPOOL 1226
#define NUKEBARREL 1227
#define NUKEBARRELDENTED 1228
#define NUKEBARRELLEAKED 1229
#define CANWITHSOMETHING 1232
#define MONEY 1233
#define BANNER 1236
#define EXPLODINGBARREL 1238
#define EXPLODINGBARREL2 1239
#define FIREBARREL 1240
#define SEENINE 1247
#define SEENINEDEAD 1248
#define STEAM 1250
#define CEILINGSTEAM 1255
#define PIPE6B 1260
#define TRANSPORTERBEAM 1261
#define RAT 1267
#define TRASH 1272
#define FEMPIC1 1280
#define FEMPIC2 1289
#define BLANKSCREEN 1293
#define PODFEM1 1294
#define FEMPIC3 1298
#define FEMPIC4 1306
#define FEM1 1312
#define FEM2 1317
#define FEM3 1321
#define FEM5 1323
#define BLOODYPOLE 1324
#define FEM4 1325
#define FEM6 1334
#define FEM6PAD 1335
#define FEM8 1336
#define HELECOPT 1346
#define FETUSJIB 1347
#define HOLODUKE 1348
#define SPACEMARINE 1353
#define INDY 1355
#define FETUS 1358
#define FETUSBROKE 1359
#define MONK 1352
#define LUKE 1354
#define COOLEXPLOSION1 1360
#define WATERSPLASH2 1380
#define FIREVASE 1390
#define SCRATCH 1393
#define FEM7 1395
#define APLAYERTOP 1400
#define APLAYER 1405
#define PLAYERONWATER 1420
#define DUKELYINGDEAD 1518
#define DUKETORSO 1520
#define DUKEGUN 1528
#define DUKELEG 1536
#define SHARK 1550
#define BLOOD 1620
#define FIRELASER 1625
#define TRANSPORTERSTAR 1630
#define SPIT 1636
#define LOOGIE 1637
#define FIST 1640
#define FREEZEBLAST 1641
#define DEVISTATORBLAST 1642
#define SHRINKSPARK 1646
#define TONGUE 1647
#define MORTER 1650
#define SHRINKEREXPLOSION 1656
#define RADIUSEXPLOSION 1670
#define FORCERIPPLE 1671
#define LIZTROOP 1680
#define LIZTROOPRUNNING 1681
#define LIZTROOPSTAYPUT 1682
#define LIZTOP 1705
#define LIZTROOPSHOOT 1715
#define LIZTROOPJETPACK 1725
#define LIZTROOPDSPRITE 1734
#define LIZTROOPONTOILET 1741
#define LIZTROOPJUSTSIT 1742
#define LIZTROOPDUCKING 1744
#define HEADJIB1 1768
#define ARMJIB1 1772
#define LEGJIB1 1776
#define CANNONBALL 1817
#define OCTABRAIN 1820
#define OCTABRAINSTAYPUT 1821
#define OCTATOP 1845
#define OCTADEADSPRITE 1855
#define INNERJAW 1860
#define DRONE 1880
#define EXPLOSION2 1890
#define RECON 1960
#define TANK 1975
#define PIGCOP 2000
#define PIGCOPSTAYPUT 2001
#define PIGCOPDIVE 2045
#define PIGCOPDEADSPRITE 2060
#define PIGTOP 2061
#define LIZMAN 2120
#define LIZMANSTAYPUT 2121
#define LIZMANSPITTING 2150
#define LIZMANFEEDING 2160
#define LIZMANJUMP 2165
#define LIZMANDEADSPRITE 2185
#define FECES 2200
#define LIZMANHEAD1 2201
#define LIZMANARM1 2205
#define LIZMANLEG1 2209
#define EXPLOSION2BOT 2219
#define USERWEAPON 2235
#define HEADERBAR 2242
#define JIBS1 2245
#define JIBS2 2250
#define JIBS3 2255
#define JIBS4 2260
#define JIBS5 2265
#define BURNING 2270
#define FIRE 2271
#define JIBS6 2286
#define BLOODSPLAT1 2296
#define BLOODSPLAT3 2297
#define BLOODSPLAT2 2298
#define BLOODSPLAT4 2299
#define OOZ 2300
#define OOZ2 2309
#define WALLBLOOD1 2301
#define WALLBLOOD2 2302
#define WALLBLOOD3 2303
#define WALLBLOOD4 2304
#define WALLBLOOD5 2305
#define WALLBLOOD6 2306
#define WALLBLOOD7 2307
#define WALLBLOOD8 2308
#define BURNING2 2310
#define FIRE2 2311
#define CRACKKNUCKLES 2324
#define SMALLSMOKE 2329
#define SMALLSMOKEMAKER 2330
#define FLOORFLAME 2333
#define ROTATEGUN 2360
#define GREENSLIME 2370
#define WATERDRIPSPLASH 2380
#define SCRAP6 2390
#define SCRAP1 2400
#define SCRAP2 2404
#define SCRAP3 2408
#define SCRAP4 2412
#define SCRAP5 2416
#define ORGANTIC 2420
#define BETAVERSION 2440
#define PLAYERISHERE 2442
#define PLAYERWASHERE 2443
#define SELECTDIR 2444
#define F1HELP 2445
#define NOTCHON 2446
#define NOTCHOFF 2447
#define GROWSPARK 2448
#define DUKEICON 2452
#define BADGUYICON 2453
#define FOODICON 2454
#define GETICON 2455
#define MENUSCREEN 2456
#define MENUBAR 2457
#define KILLSICON 2458
#define FIRSTAID_ICON 2460
#define HEAT_ICON 2461
#define BOTTOMSTATUSBAR 2462
#define BOOT_ICON 2463
#define FRAGBAR 2465
#define JETPACK_ICON 2467
#define AIRTANK_ICON 2468
#define STEROIDS_ICON 2469
#define HOLODUKE_ICON 2470
#define ACCESS_ICON 2471
#define DIGITALNUM 2472
#define DUKECAR 2491
#define CAMCORNER 2482
#define CAMLIGHT 2484
#define LOGO 2485
#define TITLE 2486
#define NUKEWARNINGICON 2487
#define MOUSECURSOR 2488
#define SLIDEBAR 2489
#define DREALMS 2492
#define BETASCREEN 2493
#define WINDOWBORDER1 2494
#define TEXTBOX 2495
#define WINDOWBORDER2 2496
#define DUKENUKEM 2497
#define THREEDEE 2498
#define INGAMEDUKETHREEDEE 2499
#define TENSCREEN 2500
#define PLUTOPAKSPRITE 2501
#define DEVISTATOR 2510
#define KNEE 2521
#define CROSSHAIR 2523
#define FIRSTGUN 2524
#define FIRSTGUNRELOAD 2528
#define FALLINGCLIP 2530
#define CLIPINHAND 2531
#define HAND 2532
#define SHELL 2533
#define SHOTGUNSHELL 2535
#define CHAINGUN 2536
#define RPGGUN 2544
#define RPGMUZZLEFLASH 2545
#define FREEZE 2548
#define CATLITE 2552
#define SHRINKER 2556
#define HANDHOLDINGLASER 2563
#define TRIPBOMB 2566
#define LASERLINE 2567
#define HANDHOLDINGACCESS 2568
#define HANDREMOTE 2570
#define HANDTHROW 2573
#define TIP 2576
#define GLAIR 2578
#define SCUBAMASK 2581
#define SPACEMASK 2584
#define FORCESPHERE 2590
#define SHOTSPARK1 2595
#define RPG 2605
#define LASERSITE 2612
#define SHOTGUN 2613
#define BOSS1 2630
#define BOSS1STAYPUT 2631
#define BOSS1SHOOT 2660
#define BOSS1LOB 2670
#define BOSSTOP 2696
#define BOSS2 2710
#define BOSS3 2760
#define SPINNINGNUKEICON 2813
#define BIGFNTCURSOR 2820
#define SMALLFNTCURSOR 2821
#define STARTALPHANUM 2822
#define ENDALPHANUM 2915
#define BIGALPHANUM 2940
#define BIGPERIOD 3002
#define BIGCOMMA 3003
#define BIGX 3004
#define BIGQ 3005
#define BIGSEMI 3006
#define BIGCOLIN 3007
#define THREEBYFIVE 3010
#define BIGAPPOS 3022
#define BLANK 3026
#define MINIFONT 3072
#define BUTTON1 3164
#define GLASS3 3187
#define RESPAWNMARKERRED 3190
#define RESPAWNMARKERYELLOW 3200
#define RESPAWNMARKERGREEN 3210
#define BONUSSCREEN 3240
#define VIEWBORDER 3250
#define VICTORY1 3260
#define ORDERING 3270
#define TEXTSTORY 3280
#define LOADSCREEN 3281
#define BORNTOBEWILDSCREEN 3370
#define BLIMP 3400
#define FEM9 3450
#define FOOTPRINT 3701
#define POOP 4094
#define FRAMEEFFECT1 4095
#define PANNEL3 4099
#define SCREENBREAK14 4120
#define SCREENBREAK15 4123
#define SCREENBREAK19 4125
#define SCREENBREAK16 4127
#define SCREENBREAK17 4128
#define SCREENBREAK18 4129
#define W_TECHWALL11 4130
#define W_TECHWALL12 4131
#define W_TECHWALL13 4132
#define W_TECHWALL14 4133
#define W_TECHWALL5 4134
#define W_TECHWALL6 4136
#define W_TECHWALL7 4138
#define W_TECHWALL8 4140
#define W_TECHWALL9 4142
#define BPANNEL3 4100
#define W_HITTECHWALL16 4144
#define W_HITTECHWALL10 4145
#define W_HITTECHWALL15 4147
#define W_MILKSHELF 4181
#define W_MILKSHELFBROKE 4203
#define PURPLELAVA 4240
#define LAVABUBBLE 4340
#define DUKECUTOUT 4352
#define TARGET 4359
#define GUNPOWDERBARREL 4360
#define DUCK 4361
#define HATRACK 4367
#define DESKLAMP 4370
#define COFFEEMACHINE 4372
#define CUPS 4373
#define GAVALS 4374
#define GAVALS2 4375
#define POLICELIGHTPOLE 4377
#define FLOORBASKET 4388
#define PUKE 4389
#define DOORTILE23 4391
#define TOPSECRET 4396
#define SPEAKER 4397
#define MAIL 4410
#define MAILBAG 4413
#define PAPER 4460
#define MACE 4464
#define GENERICPOLE2 4465

#define SIDEBOLT1 4525
#define CANWITHSOMETHING2 4580
#define CANWITHSOMETHING3 4581
#define CANWITHSOMETHING4 4582
#define SNAKEP 4590
#define NEWBEAST 4610
#define NEWBEASTSTAYPUT 4611
#define NEWBEASTJUMP 4690
#define NEWBEASTHANG 4670
#define NEWBEASTHANGDEAD 4671
#define BOSS4 4740
#define BOSS4STAYPUT 4741
#define NATURALLIGHTNING 4890


// These tile positions are reserved!

#define RESERVEDSLOT1 6132
#define RESERVEDSLOT2 6133
#define RESERVEDSLOT3 6134
#define RESERVEDSLOT4 6135
#define RESERVEDSLOT5 6136
#define RESERVEDSLOT6 6132
#define RESERVEDSLOT7 6133
#define RESERVEDSLOT8 6134
#define RESERVEDSLOT9 6135
#define RESERVEDSLOT10 6136
#define RESERVEDSLOT11 6137
#define RESERVEDSLOT12 6138
#define RESERVEDSLOT13 6139
#define RESERVEDSLOT14 6140
#define RESERVEDSLOT15 6141
#define RESERVEDSLOT16 6142
#define RESERVEDSLOT17 6143

// WGR2 DEFS
#define SWORDSPRITE 14
#define BOWSPRITE 16
#define QUIVERSPRITE 17
#define NECROSWORD 18
#define HAMMERSPRITE 19
#define TARGETBOX 20
#define CHAINSAWSPRITE 35
#define AXESPRITE 36
#define GRENADEAMMO 43
#define APPLE 50
#define ARMORSHARD 181
#define WEBPROJ 64
#define STICKYWEB 73
#define BLOODTRAIL 2286 //74
#define LIGHTBUG 75
#define STARUPHALO 76
#define LIGHTHALO 77
#define GRENADEPROJ 5128 // 110
#define SOUNDMAKER 115 // leave this tile blank!
#define HEALTHPLANT 172
#define SEEDPROJ 175
#define PLANTPOD 173
#define PLANTBASE 174
#define FOGSPAWNER 179
#define STARLINE 180
#define FAKECRACK 196
#define ICEWALL1 197
#define ICEWALL2 198
#define WARPTILE 203
#define TIDALWAVE 204
#define ICESPIKE 205
#define SPIKE1 206
#define SPIKE2 207
#define FULLSPIKE 208
#define VACUUMPROJ 211
#define PLANK1 256
#define PLANK2 257
#define PLANK3 258
#define PLANK4 259
#define RETURNSCROLL 280
#define VINEWALL1 300
#define VINEWALL2 301
#define VINEWALL3 302
#define STATICWEB1 306
#define STATICWEB2 307
#define EGGSACK 308
#define STATICWEB3 310
#define STATICWEB4 311
#define STATICWEB5 313
#define SMALLGOLD 326
#define MEDIUMGOLD 331
#define BIGGOLD 336
#define TCHEST 337
#define ROCKETHALO 350
#define BLUDSPLASH 369
#define BIGSMOKE 379
#define GLINT 413
#define STARFLY 414
#define EVILWARP 415
#define WARPARRIVE 416
#define STARUP 419
#define NEWBLOODP1 420
#define NEWBLOODP2 421
#define PALHELM 436
#define FALLINGLEAF 1234
#define GEYSERSTEAM 1256
#define GEYSERWATER 1257
#define WATERSPLASH3 1381
#define RPG_GUIDED 1590
#define FIREAURA 1607
#define POISONAURA 1624
#define CURSEAURA 1628
#define VAMPIREAURA 1629
#define FREEZEAURA 1634
#define SPEEDAURA 1645
#define LIGHTNINGAURA 1648
#define TOUGHAURA 1645
#define ENEMYSLUGPROJ 1651
#define WIZARDSHIELD 1657
#define MIGHTAURA 1664
#define SMALLPOTION 1730
#define MEDIUMPOTION 1733
#define PLASMASHIELD 1736
#define FTDUMMY 1740
#define FTTRAIL 1759
#define FTPROJ 1745
#define FIRESTARTER 1758
#define GOODHEAD 1885
#define PIGGY 1912
#define HEADJIBPROJ 1941
#define HEADJIBGROUND 1944
#define LEGJIBPROJ 1946
#define LEGJIBGROUND 1949
#define ARMJIBPROJ 1951
#define ARMJIBGROUND 1954
#define RIVER_OF_FLAME 2272
#define FLAME_MOVER 2273
#define BLOODCLOUD 2330
#define STICKYFIRE 2340
#define SPARKER 2589
#define HAMMERPROJ 2632
#define WAYPOINT 2951
#define MUSICSWITCH 2952
#define NOISESPRITE 2954
#define TEXTURIZER 2959
#define WEAPONS 2962
#define PLASMA_IMPACT 3328
#define HAILSPAWNER 3329
#define RAINMAKER 3335
#define RAINDROP 3336
#define SNOWMAKER 3337
#define SNOWFLAKE 3338
#define DEADLYEYE 3339
#define EYEBLAST 3340
#define PLATUP 3341
#define PLATFORWARD 3342
#define SWORDAMMO 3343
#define HAMMERAMMO 3344
#define PLATUPSPAWNER 3345
#define PLATFORWARDSPAWNER 3346
#define AXEAMMO 3347
#define ARMSWORDAMMO 3348
#define TIMERUNE 3350
#define WATERFALL 3362
#define RAINSPRITE 3363
#define SNOWSPRITE 3364
#define COLDGUST 3365

#define SHOTSPARK2 3370
#define ROCKETSPARK 3371
#define SLOWBULLET 3372

#define EVILBULLET 3417
#define SHRINKSHROOM 3430
#define GROWSHROOM 3431
#define BIGGEYSER 3433
#define MEDIUMGEYSER 3434
#define LAVASPAWNER 3435
#define LAVAROCK 3436
#define ICEMETEOR 3437
#define LAVAIMPACT 3439
#define LAVASPARK 3445
#define WIZARD 3473
#define WIZSCRIPT 3478
#define WIZARDRED 3474 // only for spawning trick
#define LADDER 3507
#define WEBLINE 3508
#define SPIRITEFFECT 3519
#define STALAGMITE1 3633
#define STALAGMITE2 3837
#define STALAGMITE3 3838
#define ROCK1 4078
#define ROCK2 4079
#define ROCK3 4080
#define BAT 4096
#define SAVECRYSTAL 4169
#define SPIDER2 4264
#define HORNET 4300
#define KORAX 4352
#define STAINEDGLASS1 4834
#define STAINEDGLASS2 4835
#define STAINEDGLASS3 4836
#define STAINEDGLASS4 4837
#define STAINEDGLASS5 4838
#define STAINEDGLASS6 4839
#define STAINEDGLASS7 4840
#define STAINEDGLASS8 4841
#define STAINEDGLASS9 4842
#define STAINEDGLASS10 4843
#define STAINEDGLASS11 4844
#define STAINEDGLASS12 4845
#define STAINEDGLASS13 4846
#define STAINEDGLASS14 4847
#define STAINEDGLASS15 4848
#define STAINEDGLASS16 4849
#define STAINEDGLASS17 4850
#define STAINEDGLASS18 4851
#define MINOTAUR 4891
#define CYBERDEMON 4959
#define CYBERDEMONSTAYPUT 4960
#define SOULDOOR 5024
#define SOULDOORMAP 5025
#define MONSOUL 5030
#define MONSOULMAP 5034
#define LIGHTNINGBOLT 5043
#define LIGHTNINGBOLT2 5044
#define DBSHOT 5045
#define SLUGPROJ 5046
#define LSTRIKE 5047
#define FEARBULLET 5048
#define LBOLT 5049
#define QUADDAMAGE 5120
#define ARMOR1 5139
#define AMMOPACK 5155
#define ARMOR2 5170
#define ARMOR3 5187
#define BADFISH 5232
#define DETHNITE 5252
#define DETHNITESTAYPUT 5253
#define DETHNITEBONES 5326
#define SHIELDFALL 5336
#define SWORDFALL 5345
#define BFGBEAMLITE 5390
#define BFGIMPACT 5391
#define REDRIFT 5392
#define REVERSERIFT 5393
#define BFGPROJ 5401
#define BFGRING 5403
#define SHIELDRING 5404
#define EYEBLAST2 5405
#define BFGBEAMTRAIL 5412
#define BFGBEAMPROJ 5413
#define BFGIMPACT2 5414
#define NEWSHELL 5433
#define PLATSMOKE 5468
#define AXON 5476 // an NPC
#define HERO 5528
#define HEROREADY 5560
#define FLIES 5611
#define DEMON 5632
#define DEMONSTAYPUT 5633
#define DEMONICED 5676
#define DMPROJIMPACT 5696
#define DRAGON 5702
#define DRAGONICED 5739
#define ETTIN 5776
#define ETTINSTAYPUT 5777
#define ETTINICED 5868
#define FWTRAIL6 5870
#define FW6 5872
#define FWPROJ6 5873
#define FWSTREAK6 5874
#define DEMONSPIT 5682
#define SKELKNIGHT 5888
#define SKELKNIGHTSTAYPUT 5889
#define SKELKNIGHTBONES 5958
#define SKELGHOST 5944
#define WRAITH 5980
#define WRAITHSTAYPUT 5981
#define WRAITHPROJ 6030
#define WRAITHIMPACT 6033
#define GOLEM 6039
#define GOLEMSTAYPUT 6040
#define GHOST 6080
#define PUSHTRAIL 6096
#define PUSHPROJ 6100
#define GHOSTTRAIL 6101
#define SHOOTME 6102
#define NOVAPROJ 6105
#define EXPLOSIVEBULLET 6142
#define ARROWPROJ 6768
#define STUCKARROW 6781
#define DAMOSWORD 6796
#define ROCK4 6233
#define ROCK5 6234
#define ROCK6 6247
#define ROCK7 6250
#define ROCK8 6251
#define ROCK9 6252
#define ROCK10 6253
#define ROCK11 6279
#define ROCK12 6281
#define ROCK13 6282
#define ROCK14 6288
#define ROCK15 6293
#define ROCK16 6297
#define ROCK17 6298
#define ROCK18 6304
#define ROCK19 6309
#define ROCK20 6325
#define ROCK21 6326
#define ROCK22 6327
#define ROCK23 6332
#define ROCK24 6335
#define ROCK25 6337
#define ROCK26 6338
#define ROCK27 6343
#define CYBERFLOAT 6450
#define CYBERFLOATPUT 6451
#define EVILDUKE 6656
#define EVILDUKESTAYPUT 6657
#define EVILDUKECROUCH 6696
#define BARB_BLOCKER 6736
#define BARBNPC 6800
#define BARBSTATUE 6825
#define BARBDEADSPRITE 6847

#define PORTALCOVER 6376
#define PORTALCOVER2 6408
#define LIZMANSTATUE 2128
